Imports SelectPdf

Namespace Controllers
    Public Class DocumentPropertiesController
        Inherits Controller

        ' GET: DocumentProperties
        Public Function Index() As ActionResult
            Return View()
        End Function

        <HttpPost>
        Public Function SubmitAction(collection As FormCollection) As ActionResult
            ' create a new pdf document
            Dim doc As New PdfDocument()

            ' add a new page to the document
            Dim page As PdfPage = doc.AddPage()

            ' create a new pdf font
            Dim font As PdfFont = doc.AddFont(PdfStandardFont.Helvetica)
            font.Size = 20

            ' create a new text element and add it to the page
            Dim text As New PdfTextElement(
                50, 50, "SelectPdf for .NET - Document Properties Sample", font)
            page.Add(text)

            ' set the document properties
            doc.DocumentInformation.Title = "SelectPdf for .NET Sample"
            doc.DocumentInformation.Author = "SelectPdf Samples"
            doc.DocumentInformation.Subject = "SelectPdf Library Samples"
            doc.DocumentInformation.Keywords = "pdf library, sample code"
            doc.DocumentInformation.CreationDate = DateTime.Now

            ' save pdf document
            Dim pdf As Byte() = doc.Save()

            ' close pdf document
            doc.Close()

            ' return resulted pdf document
            Dim fileResult As FileResult = New FileContentResult(pdf, "application/pdf")
            fileResult.FileDownloadName = "Document.pdf"
            Return fileResult
        End Function
    End Class
End Namespace
